Bug 1802622 - [abrt] remmina: wl_abort(): remmina killed by SIGABRT
Summary: [abrt] remmina: wl_abort(): remmina killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: remmina
Version: 31
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4b8b14cd9c990983e5e79552168...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-13 14:54 UTC by Thomas Jenkins
Modified: 2020-03-12 21:05 UTC (History)
3 users (show)

Fixed In Version: remmina-1.4.1-1.fc30 remmina-1.4.1-1.fc31 remmina-1.4.1-1.el7
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-06 02:10:55 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (76.78 KB, text/plain)
2020-02-13 14:54 UTC, Thomas Jenkins
no flags Details
File: core_backtrace (37.34 KB, text/plain)
2020-02-13 14:54 UTC, Thomas Jenkins
no flags Details
File: cpuinfo (2.15 KB, text/plain)
2020-02-13 14:54 UTC, Thomas Jenkins
no flags Details
File: dso_list (14.13 KB, text/plain)
2020-02-13 14:54 UTC, Thomas Jenkins
no flags Details
File: environ (1.68 KB, text/plain)
2020-02-13 14:54 UTC, Thomas Jenkins
no flags Details
File: limits (1.29 KB, text/plain)
2020-02-13 14:54 UTC, Thomas Jenkins
no flags Details
File: maps (96.43 KB, text/plain)
2020-02-13 14:54 UTC, Thomas Jenkins
no flags Details
File: mountinfo (3.06 KB, text/plain)
2020-02-13 14:54 UTC, Thomas Jenkins
no flags Details
File: open_fds (4.08 KB, text/plain)
2020-02-13 14:54 UTC, Thomas Jenkins
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2020-02-13 14:54 UTC, Thomas Jenkins
no flags Details

Description Thomas Jenkins 2020-02-13 14:54:36 UTC
Description of problem:
Noticed the tool bar would not hide. Unselected the keyboard capture icon and re-selected it and then got this error. Remmina has been actiing weird and crashing all morning.
I depend on this app to manage windows servers - best RDP client I've found for Linux! keep up the great work!


Version-Release number of selected component:
remmina-1.3.10-1.fc31

Additional info:
reporter:       libreport-2.11.3
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-launched-remmina-applet.desktop-6862.scope
cmdline:        remmina -i
crash_function: wl_abort
executable:     /usr/bin/remmina
journald_cursor: s=6e3a44f56807477cba75c45efc2cbb6c;i=3aa4da;b=b1e200c42f3649c9bf8f37aacb11dccf;m=1a57cc9b;t=59e7631236951;x=c59f2b810fbe8a83
kernel:         5.4.18-200.fc31.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Thomas Jenkins 2020-02-13 14:54:39 UTC
Created attachment 1662968 [details]
File: backtrace

Comment 2 Thomas Jenkins 2020-02-13 14:54:41 UTC
Created attachment 1662969 [details]
File: core_backtrace

Comment 3 Thomas Jenkins 2020-02-13 14:54:42 UTC
Created attachment 1662970 [details]
File: cpuinfo

Comment 4 Thomas Jenkins 2020-02-13 14:54:43 UTC
Created attachment 1662971 [details]
File: dso_list

Comment 5 Thomas Jenkins 2020-02-13 14:54:44 UTC
Created attachment 1662972 [details]
File: environ

Comment 6 Thomas Jenkins 2020-02-13 14:54:45 UTC
Created attachment 1662973 [details]
File: limits

Comment 7 Thomas Jenkins 2020-02-13 14:54:46 UTC
Created attachment 1662974 [details]
File: maps

Comment 8 Thomas Jenkins 2020-02-13 14:54:48 UTC
Created attachment 1662975 [details]
File: mountinfo

Comment 9 Thomas Jenkins 2020-02-13 14:54:49 UTC
Created attachment 1662976 [details]
File: open_fds

Comment 10 Thomas Jenkins 2020-02-13 14:54:50 UTC
Created attachment 1662977 [details]
File: proc_pid_status

Comment 11 Thomas Jenkins 2020-02-13 15:16:53 UTC
Similar problem has been detected:

Tool bar at the top of a full screen windows would not auto hide. I needed to minumize the windows and when I did the app crashed.

reporter:       libreport-2.11.3
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-shell-wayland.service
cmdline:        remmina
crash_function: wl_abort
executable:     /usr/bin/remmina
journald_cursor: s=6e3a44f56807477cba75c45efc2cbb6c;i=3aa5b2;b=b1e200c42f3649c9bf8f37aacb11dccf;m=742e0655;t=59e768af9a30c;x=1ec122e1f1d40e0d
kernel:         5.4.18-200.fc31.x86_64
package:        remmina-1.3.10-1.fc31
reason:         remmina killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 12 jtagcat 2020-02-17 06:31:43 UTC
Similar problem has been detected:

When starting to capture keyboard input (full control of keyboard), Remmina crashes.

reporter:       libreport-2.11.3
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-shell-wayland.service
cmdline:        remmina
crash_function: wl_abort
executable:     /usr/bin/remmina
journald_cursor: s=a510f9253f20413ca4e167aa38e5b8a6;i=50795;b=ab29703e450b47408d4e8ccf90197e89;m=1cc1844679;t=59ebfa3d1131f;x=73c8e9398020d2b5
kernel:         5.4.18-200.fc31.x86_64
package:        remmina-1.3.10-1.fc31
reason:         remmina killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Thomas Jenkins 2020-02-20 13:45:31 UTC
Similar problem has been detected:

Toggled keyboard grab in toolbar. The toolbar is staying visible constantly now after the first reveal by hovering at the top.

reporter:       libreport-2.12.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-launched-remmina-applet.desktop-4874.scope
cmdline:        remmina -i
crash_function: wl_abort
executable:     /usr/bin/remmina
journald_cursor: s=6e3a44f56807477cba75c45efc2cbb6c;i=3bd1ca;b=854190c3ebec4e2ba911c1bab79014a5;m=6fd7ec9;t=59f01ed7c4eab;x=112b318a7484a945
kernel:         5.4.20-200.fc31.x86_64
package:        remmina-1.3.10-1.fc31
reason:         remmina killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 jtagcat 2020-02-23 12:25:31 UTC
Similar problem has been detected:

crashed in the background, 2 connections open

reporter:       libreport-2.12.0
backtrace_rating: 4
cmdline:        remmina
crash_function: wl_abort
executable:     /usr/bin/remmina
journald_cursor: s=1405d574f3404b4cbc02ec90c3b2700e;i=29e12;b=4c3c46b3e4024402bb93fc0784094567;m=57179d07a;t=59f3d42c1df23;x=73b7d5068053732d
kernel:         5.5.5-200.fc31.x86_64
package:        remmina-1.3.10-1.fc31
reason:         remmina killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Fedora Update System 2020-02-25 12:16:27 UTC
FEDORA-2020-9e43273b5d has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-9e43273b5d

Comment 16 Fedora Update System 2020-02-25 12:16:30 UTC
FEDORA-2020-214973f969 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-214973f969

Comment 17 Fedora Update System 2020-02-25 12:16:33 UTC
FEDORA-EPEL-2020-c5e7f4c699 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-c5e7f4c699

Comment 18 Thomas Jenkins 2020-02-26 11:08:37 UTC
Similar problem has been detected:

remmina-1.4.1-1.fc31 can't be found though offered as a possible fix?

reporter:       libreport-2.12.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-shell-wayland.service
cmdline:        remmina
crash_function: wl_abort
executable:     /usr/bin/remmina
journald_cursor: s=6e3a44f56807477cba75c45efc2cbb6c;i=3c7b94;b=a225f1a02ea7443fa1f765436bbcc4b3;m=1874d005;t=59f6b27cd3474;x=9724f1191ec66eff
kernel:         5.5.5-200.fc31.x86_64
package:        remmina-1.3.10-1.fc31
reason:         remmina killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 19 Thomas Jenkins 2020-02-26 14:34:01 UTC
Similar problem has been detected:

Tried toggling the keyboard lock icon since atl-tab was not working within my session. Shortly after that the app terminated.

reporter:       libreport-2.12.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-shell-wayland.service
cmdline:        remmina
crash_function: wl_abort
executable:     /usr/bin/remmina
journald_cursor: s=6e3a44f56807477cba75c45efc2cbb6c;i=3c9d6d;b=c6a81d71dd4a4f2480afd6442b2cbf40;m=10a0a30ed;t=59f7b409e35dc;x=992ef867bc9a3a76
kernel:         5.5.5-200.fc31.x86_64
package:        remmina-1.3.10-1.fc31
reason:         remmina killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 20 Fedora Update System 2020-02-27 16:01:41 UTC
remmina-1.4.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-c5e7f4c699

Comment 21 Fedora Update System 2020-02-27 18:10:37 UTC
remmina-1.4.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-9e43273b5d

Comment 22 Fedora Update System 2020-02-27 18:34:48 UTC
remmina-1.4.1-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-214973f969

Comment 23 Fedora Update System 2020-03-06 02:10:55 UTC
remmina-1.4.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2020-03-06 02:22:10 UTC
remmina-1.4.1-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2020-03-12 21:05:59 UTC
remmina-1.4.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.